use axum::Router;

use crate::util::AppState;

mod exercises;
mod index;
mod workouts;

pub fn routes() -> Router<AppState> {
    Router::new()
        .merge(index::routes())
        .nest("/exercises", exercises::routes())
        .nest("/workouts", workouts::routes())
}
